Skip to main content
GET
/
airport-services
/
products
Get products
curl --request GET \
  --url https://business.bfinance.app/external/api/airport-services/products \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "availableProductTypes": [
      "fast-track"
    ],
    "flight": {
      "number": "<string>",
      "date": "2023-12-25",
      "departure": {
        "iataCode": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "arrival": {
        "iataCode": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "duration": 123,
      "airline": {
        "iataCode": "<string>",
        "icaoCode": "<string>",
        "businessName": "<string>",
        "commonName": "<string>",
        "logoUrl": "<string>"
      }
    },
    "products": [
      {
        "id": "<string>",
        "type": "fast-track",
        "terminal": {
          "title": "<string>"
        },
        "title": "<string>",
        "description": "<string>",
        "howToUse": "<string>",
        "workingTime": {
          "timezone": "<string>",
          "time": "<string>"
        },
        "features": [
          {
            "id": "<string>",
            "title": "<string>",
            "payable": true
          }
        ],
        "terminalType": [
          "<string>"
        ],
        "address": "<string>",
        "info": {
          "openStatus": "always-open"
        },
        "gateType": [
          "<string>"
        ],
        "variants": [
          {
            "id": "<string>",
            "dataHash": "<string>",
            "adultPrice": {
              "amount": 123,
              "currency": "<string>"
            },
            "childPrice": {
              "amount": 123,
              "currency": "<string>"
            },
            "pricingAge": {}
          }
        ],
        "files": [
          {
            "url": "<string>"
          }
        ],
        "preOrderTime": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

flightNumber
string
required

Flight number (must start with 2 letters followed by numbers)

Pattern: ^[A-Z]{2}\d+
date
string<date>
required

Scheduled departure date in YYYY-MM-DD format (must be in the future)

Response

List of available products

status
enum<string>
Available options:
success
data
object